--- ssl.c	2006/01/26 12:55:30	1.1
+++ ssl.c	2006/01/26 12:55:59
@@ -304,7 +304,7 @@
 int term_ssl_connection(int fd) {
   int i, rc;
 
-  if(!myGlobals.sslInitialized) return;
+  if(!myGlobals.sslInitialized) return 0;
 
   for(i=0; i<MAX_SSL_CONNECTIONS; i++) {
     if((myGlobals.ssl[i].ctx != NULL)
--- fcUtils.c	2006/01/26 12:45:23	1.1
+++ fcUtils.c	2006/01/26 12:46:25
@@ -654,6 +654,6 @@
     memcpy (&entry->pWWN.str[0], &pWWN.str[0], LEN_WWN_ADDRESS);
     memcpy (&entry->nWWN.str[0], &nWWN.str[0], LEN_WWN_ADDRESS);
     strncpy (&entry->alias[0], alias, MAX_LEN_SYM_HOST_NAME);
-    entry->alias[MAX_LEN_SYM_HOST_NAME] = '\0';
+    entry->alias[MAX_LEN_SYM_HOST_NAME-1] = '\0';
   }
 }
--- graph.c	2006/01/26 12:47:15	1.1
+++ graph.c	2006/01/26 12:47:54
@@ -2635,7 +2635,7 @@
   Counter total;
   SortedFcDomainStatsEntry *fcDomainStats;
 
-  p[MAX_FC_DOMAINS+1] = 0;
+  p[MAX_FC_DOMAINS] = 0;
 
   hash = getFcFabricElementHash (vsanId, myGlobals.actualReportDeviceId);
 
--- fcReport.c	2006/03/20 13:55:38	1.1
+++ fcReport.c	2006/03/20 13:59:50
@@ -4066,7 +4066,7 @@
   char buf[LEN_GENERAL_WORK_BUFFER], *sign;
   char *arrowGif, *arrow[48], *theAnchor[48];
   char htmlAnchor[64], htmlAnchor1[64];
-  char vsanBuf[LEN_MEDIUM_WORK_BUFFER], formatBuf[7][32];
+  char vsanBuf[LEN_MEDIUM_WORK_BUFFER], formatBuf[15][32];
   char hostLinkBuf[LEN_GENERAL_WORK_BUFFER],
     hostLinkBuf1[LEN_GENERAL_WORK_BUFFER];
   FCSession **tmpTable, *session;
--- Makefile.am	2006/04/03 09:09:17	1.1
+++ Makefile.am	2006/04/03 09:09:40
@@ -134,8 +134,7 @@
                      ntop.c       pbuf.c         \
                      plugin.c     prefs.c       protocols.c   \
                      sessions.c   term.c        util.c        utildl.c \
-                     traffic.c    vendor.c      version.c      \
-                     ntop_darwin.c
+                     traffic.c    vendor.c      version.c      
 
 libntop_la_DEPENDENCIES =  myrrd/libmyrrd.la config.h
 libntop_la_LIBADD       = 
--- plugins/Makefile.am.orig	2007-07-31 09:05:01.000000000 +0000
+++ plugins/Makefile.am	2007-07-31 09:07:36.000000000 +0000
@@ -95,7 +95,7 @@
 #
 
 
-.libs/libicmpPlugin.so@SO_VERSION_PATCH@:
+.libs/libicmpPlugin.so@SO_VERSION_PATCH@: icmpPlugin.o
 	@if test -f libicmpPlugin_la-icmpPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libicmpPlugin.so@SO_VERSION_PATCH@ libicmpPlugin_la-icmpPlugin.o; \
 	else \
@@ -107,7 +107,7 @@
 
 ###############
 
-.libs/liblastSeenPlugin.so@SO_VERSION_PATCH@:
+.libs/liblastSeenPlugin.so@SO_VERSION_PATCH@: lastSeenPlugin.o
 	@if test -f liblastSeenPlugin_la-lastSeenPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/liblastSeenPlugin.so@SO_VERSION_PATCH@ liblastSeenPlugin_la-lastSeenPlugin.o; \
 	else \
@@ -119,7 +119,7 @@
 
 ###############
 
-.libs/libnetflowPlugin.so@SO_VERSION_PATCH@:
+.libs/libnetflowPlugin.so@SO_VERSION_PATCH@: netflowPlugin.o
 	@if test -f libnetflowPlugin_la-netflowPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libnetflowPlugin.so@SO_VERSION_PATCH@ libnetflowPlugin_la-netflowPlugin.o; \
 	else \
@@ -155,7 +155,7 @@
 
 ###############
 
-.libs/librrdPlugin.so@SO_VERSION_PATCH@:
+.libs/librrdPlugin.so@SO_VERSION_PATCH@: rrdPlugin.o
 	@if test -f librrdPlugin_la-rrdPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/librrdPlugin.so@SO_VERSION_PATCH@ librrdPlugin_la-rrdPlugin.o; \
 	else \
@@ -167,7 +167,7 @@
 
 ###############
 
-.libs/libsflowPlugin.so@SO_VERSION_PATCH@:
+.libs/libsflowPlugin.so@SO_VERSION_PATCH@: sflowPlugin.o
 	@if test -f libsflowPlugin_la-sflowPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libsflowPlugin.so@SO_VERSION_PATCH@ libsflowPlugin_la-sflowPlugin.o; \
 	else \
@@ -179,7 +179,7 @@
 
 ###############
 
-.libs/libxmldumpPlugin.so@SO_VERSION_PATCH@:
+.libs/libxmldumpPlugin.so@SO_VERSION_PATCH@: xmldumpPlugin.o
 	@if test -f libxmldumpPlugin_la-xmldumpPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libxmldumpPlugin.so@SO_VERSION_PATCH@ libxmldumpPlugin_la-xmldumpPlugin.o; \
 	else \
--- pbuf.c.orig	2008-05-31 11:52:12.000000000 +0200
+++ pbuf.c	2008-06-12 09:38:33.000000000 +0200
@@ -3431,14 +3431,14 @@
 		 && (ipxBuffer[30] == 0x0)  /* SAP Response (byte 0) */
 		 && (ipxBuffer[31] == 0x02) /* SAP Response (byte 1) */) {
 		u_int16_t serverType;
-		char serverName[57];
+		char serverName[MAX_LEN_SYM_HOST_NAME];
 		int i, found;
 
 		memcpy(&serverType, &ipxBuffer[32], 2);
 		serverType = ntohs(serverType);
 
-		memcpy(serverName, &ipxBuffer[34], 56); serverName[56] = '\0';
-		for(i=0; i<56; i++)
+		memcpy(serverName, &ipxBuffer[34], MAX_LEN_SYM_HOST_NAME); serverName[MAX_LEN_SYM_HOST_NAME-1] = '\0';
+		for(i=0; i<MAX_LEN_SYM_HOST_NAME; i++)
 		  if(serverName[i] == '!') {
 		    serverName[i] = '\0';
 		    break;
--- globals-core.h.orig	2008-01-04 00:32:46.000000000 +0100
+++ globals-core.h	2008-06-12 09:40:14.000000000 +0200
@@ -256,10 +256,6 @@
 
 #ifdef MAKE_WITH_SAFER_ROUTINES
 
-/* Fix to the free prototype courtesy of Tanner Lovelace <lovelace@opennms.org> */
-/* Fix free() courtesy of Benoit Dolez <bdolez@exosec.fr> */
-#define free(a)       { void *__t = (a); ntop_safefree((void**)&(__t), (char*)__FILE__, (int)__LINE__); a = __t; }
-extern void           ntop_safefree(void **ptr, char* file, int line);
 #define malloc(sz)    ntop_safemalloc((unsigned int)sz, (char*)__FILE__, (int)__LINE__)
 extern void*          ntop_safemalloc(unsigned int sz, char* file, int line);
 #define calloc(c,sz)  ntop_safecalloc(c, sz, (char*)__FILE__, (int)__LINE__)
